uses STArduino, STMPU6050;
const INT_PIN = 2;
var
    ready: boolean;
    xAngle,yAngle,zAngle: single;
    gyro : SMPU6050;

procedure setup;
var devStatus:byte;   
begin
    serialBegin(9600);
    devStatus:=mpuInitialize(gyro, INT_PIN);     {so 2: interrupt o pin 2 }
    if(devStatus <> 0) then
        serialPrintlnString('mpuInitialize failed');
    
end;

procedure loop;
begin
    ready := mpuCanRead(gyro);
    if(ready = true) then
    begin
        xAngle:=mpuGetXAngle(gyro);
        yAngle:=mpuGetYAngle(gyro);
        zAngle:=mpuGetZAngle(gyro);
        serialPrintlnString('ypr');
        serialPrintlnString('  ');
        serialPrintReal(zAngle);
        serialPrintlnString('  ');
        serialPrintReal(yAngle);
        serialPrintlnString('  ');
        serialPrintReal(xAngle);        
    end;
    delay(200);  
end;

begin
	setup;
	loop;
end.
